org.apache.olingo.commons.api.edm.provider

## Class CsdlAbstractEdmItem

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

- Direct Known Subclasses:
    CsdlAnnotation, CsdlAnnotations, CsdlBindingTarget, CsdlEntityContainer, CsdlEnumMember, CsdlEnumType, CsdlExpression, CsdlNavigationProperty, CsdlNavigationPropertyBinding, CsdlOnDelete, CsdlOperation, CsdlOperationImport, CsdlParameter, CsdlProperty, CsdlPropertyRef, CsdlPropertyValue, CsdlReferentialConstraint, CsdlReturnType, CsdlSchema, CsdlStructuralType, CsdlTerm, CsdlTypeDefinition

      public abstract class CsdlAbstractEdmItem
      extends Object

  Super type of all CsdlEdmItems

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlAbstractEdmItem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected <T extends CsdlNamed> List<T>` | `getAllByName(String name, Collection<T> items)` Gets all by name.
    `protected <T extends CsdlNamed> T` | `getOneByName(String name, Collection<T> items)` Gets one by name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlAbstractEdmItem

          public CsdlAbstractEdmItem()

  - ### Method Detail

    - #### getOneByName

          protected <T extends CsdlNamed> T getOneByName(String name,
                                                         Collection<T> items)

      Gets one by name.
      Parameters:
        `name` - the name
        `items` - the items
      Returns:
        the one by name

    - #### getAllByName

          protected <T extends CsdlNamed> List<T> getAllByName(String name,
                                                               Collection<T> items)

      Gets all by name.
      Parameters:
        `name` - the name
        `items` - the items
      Returns:
        the all by name

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.